javax.batch.api.chunk

## Interface ItemProcessor

    public interface ItemProcessor

ItemProcessor is used in chunk processing to operate on an input item and produce an output item.

### Method Summary

Methods
`Object` `processItem(Object item)` The processItem method is part of a chunk step.

### Method Detail

#### processItem

    Object processItem(Object item)
                       throws Exception

The processItem method is part of a chunk step. It accepts an input item from an item reader and returns an item that gets passed onto the item writer. Returning null indicates that the item should not be continued to be processed. This effectively enables processItem to filter out unwanted input items.

Parameters:
  `item` - specifies the input item to process.
Returns:
  output item to write.
Throws:
  `Exception` - thrown for any errors.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0